<?php
/**
*
* LF who was here 2 - based on "NV who was here". An extension for the phpBB Forum Software package.
*
* @copyright (c) 2018, LukeWCS, https://www.wcsaga.org/
* @copyright (c) 2015, Anvar, http://phpbbguru.net
* @copyright (c) 2013, nickvergessen, http://www.flying-bits.org/
* @license GNU General Public License, version 2 (GPL-2.0)
*
*/

/**
* DO NOT CHANGE
*/
if (!defined('IN_PHPBB'))
{
	exit;
}

if (empty($lang) || !is_array($lang))
{
	$lang = [];
}

// DEVELOPERS PLEASE NOTE
//
// All language files should use UTF-8 as their encoding and the files must not contain a BOM.
//
// Placeholders can now contain order information, e.g. instead of
// 'Page %s of %s' you can (and should) write 'Page %1$s of %2$s', this allows
// translators to re-order the output of data while ensuring it remains correct
//
// You do not need this where single placeholders are used, e.g. 'Message %d' is fine
// equally where a string contains only two placeholders which are used to wrap text
// in a url you again do not need to specify an order e.g., 'Click %sHERE%s' is fine
//
// Some characters you may want to copy&paste:
// ’ « » “ ” … „ “
//
$lang = array_merge($lang, [
	// language pack author
	'LFWWH_LANG_DESC'					=> 'Russian',
	'LFWWH_LANG_EXT_VER' 				=> '2.1.0',
	'LFWWH_LANG_AUTHOR' 				=> 'dimassamid',

	// navigation
	'LFWWH_NAV_TITLE'					=> 'Кто был на конференции? (2.x)',
	'LFWWH_NAV_CONFIG'					=> 'Настройки',

	// config head
	'LFWWH_CONFIG_TITLE'				=> 'Кто был на конференции?',
	'LFWWH_CONFIG_DESC' 				=> 'Здесь могут быть изменены настройки для расширения “%1$s” (v%2$s).',

	// config section 1
	'LFWWH_SECTION_PERMISSIONS'			=> 'Права доступа',
	'LFWWH_ADMIN_MODE'					=> 'Режим администратора',
	'LFWWH_ADMIN_MODE_EXP'				=> 'Этот режим отменяет все системные права доступа и отображает расширение только пользователям с правами администратора. Это может быть полезно, если вы хотите скрыть расширение от пользователей на какое-то время.',
	'LFWWH_USE_PERMISSIONS'				=> 'Использовать системные права доступа phpBB',
	'LFWWH_USE_PERMISSIONS_EXP'			=> 'Позволяет указать для каждой группы пользователей отдельно, как должно выполняться отображение расширения. Права можно установить следующим образом: “Права доступа » Права групп » [группа пользователя] » Права пользователя » Подробнее » Профиль”.',
	'LFWWH_DISP_FOR_GUESTS'				=> 'Показывать гостям',
	'LFWWH_DISP_FOR_GUESTS_EXP'			=> 'Определяет, что могут видеть гости. "Статистика" показывает только анонимные числа, а "Ничего" полностью отключает отображение расширения для гостей.',
	'LFWWH_DISP_FOR_BOTS'				=> 'Показывать ботам',
	'LFWWH_DISP_FOR_BOTS_EXP'			=> 'Определяет, что могут видеть боты. "Статистика" показывает только анонимные числа, а "Ничего" полностью отключает отображение расширения для ботов.',
	'LFWWH_DISP_PERM_1'					=> 'Статистику и пользователей',
	'LFWWH_DISP_PERM_3'					=> 'Пользователей',
	'LFWWH_DISP_PERM_0'					=> 'Статистику',
	'LFWWH_DISP_PERM_2'					=> 'Ничего',

	// config section 2
	'LFWWH_SECTION_DISP_1'				=> 'Настройки отображения 1',
	'LFWWH_DISP_REG_USERS'				=> 'Показывать видимых пользователей (количество)',
	'LFWWH_DISP_REG_USERS_EXP'			=> 'Будет отображаться количество видимых пользователей.',
	'LFWWH_DISP_HIDDEN'					=> 'Показывать скрытых пользователей (количество и имена)',
	'LFWWH_DISP_HIDDEN_EXP'				=> 'Скрытые пользователи будут также отображатья в списке пользователей. (Требуется соответствующее право доступа, то же что и для блока “Кто сейчас на конференции”.)',
	'LFWWH_DISP_BOTS'					=> 'Показывать ботов (количество и имена)',
	'LFWWH_DISP_BOTS_EXP'				=> 'Некоторые пользователи могут задаться вопросом, кто такие боты, и опасаться их.',
	'LFWWH_DISP_BOTS_1'					=> 'Вместе с пользователями',
	'LFWWH_DISP_BOTS_2'					=> 'На отдельной строке',
	'LFWWH_DISP_BOTS_0'					=> 'Нет',
	'LFWWH_DISP_BOTS_ONLY_ADMIN'		=> 'Показывать имена ботов только администраторам',
	'LFWWH_DISP_BOTS_ONLY_ADMIN_EXP'	=> 'Только пользователи с правами администратора смогут видеть имена ботов. Количество ботов по-прежнему будет отображаться для всех.',
	'LFWWH_DISP_GUESTS'					=> 'Показывать гостей (количество)',
	'LFWWH_DISP_GUESTS_EXP'				=> 'Будет отображаться количество гостей.',
	'LFWWH_DISP_TIME'					=> 'Показывать время посещения пользователей',
	'LFWWH_DISP_TIME_EXP'				=> 'Если выбрано “При наведении”, то дополнительно будет создана кнопка "Скрытая информация", кликнув на которую можно посмотреть время посещения напрямую (рядом с именем). Это может быть полезно для смартфонов и планшетов. (Либо все пользователи видят это, либо никто; нет специальной функции для администраторов.)',
	'LFWWH_DISP_TIME_BOTS'				=> 'Показывать время посещения ботов',
	'LFWWH_DISP_TIME_FORMAT'			=> 'Формат времени',
	'LFWWH_DISP_TIME_FORMAT_EXP'		=> 'Синтаксис идентичен функции <a href="https://www.php.net/manual/ru/function.date.php">date()</a> языка PHP. Специальные переменные: $1 = “%1$s”, $2 = “%2$s”, $3 = “%3$s”.',
	'LFWWH_DISP_TIME_FORMAT_DEMO'		=> 'Текущее отображение: %s',
	'LFWWH_DISP_IP'						=> 'Показывать IP адрес пользователя',
	'LFWWH_DISP_IP_EXP'					=> 'Если выбрано “При наведении”, то дополнительно будет создана кнопка "Скрытая информация", кликнув на которую можно посмотреть IP адрес напрямую (рядом с именем). Это может быть полезно для смартфонов и планшетов. (Только для пользователей с администраторскими правами, с теми же, что и для блока “Кто сейчас на конференции”.)',
	'LFWWH_DISP_MODE_1'					=> 'Рядом с именем',
	'LFWWH_DISP_MODE_2'					=> 'При наведении',
	'LFWWH_DISP_MODE_0'					=> 'Нет',

	// config section 3
	'LFWWH_SECTION_DISP_2'				=> 'Настройки отображения 2',
	'LFWWH_TIME_MODE'					=> 'Показывать посетителй за ...',
	'LFWWH_TIME_MODE_EXP'				=> 'Показывать посетителей за сутки (с 0:00 по времени форума) или за период времени, установленный в настройках ниже.',
	'LFWWH_TIME_MODE_1'					=> 'Сегодня',
	'LFWWH_TIME_MODE_0'					=> 'Период времени',
	'LFWWH_SORT_BY'						=> 'Сортировать пользователей',
	'LFWWH_SORT_BY_EXP'					=> 'Определяет порядок, в котором будут отображаться пользователи в списке.',
	'LFWWH_SORT_BY_0'					=> 'Имя A -> Z',
	'LFWWH_SORT_BY_1'					=> 'Имя Z -> A',
	'LFWWH_SORT_BY_2'					=> 'Время посещения по возрастанию',
	'LFWWH_SORT_BY_3'					=> 'Время посещения по убыванию',
	'LFWWH_SORT_BY_4'					=> 'ID по возрастанию',
	'LFWWH_SORT_BY_5'					=> 'ID по убыванию',
	'LFWWH_RECORD'						=> 'Рекорд посетителей',
	'LFWWH_RECORD_EXP'					=> 'Показывать и обновлять рекорд посетителей.',
	'LFWWH_RECORD_TIME_FORMAT'			=> 'Формат даты для рекорда посетителей',
	'LFWWH_RECORD_TIME_FORMAT_EXP'		=> 'Синтаксис идентичен функции <a href="https://www.php.net/manual/ru/function.date.php">date()</a> языка PHP.',
	'LFWWH_DISP_TEMPLATE_POS'			=> 'Положение блока',
	'LFWWH_DISP_TEMPLATE_POS_EXP'		=> 'Определяет, где будет размещаться блок расширения в секции статистики. “Вверху” - это позиция над секцией статистики, а “Внизу” - позиция под секцией статистики.',
	'LFWWH_DISP_TEMPLATE_POS_0'			=> 'Вверху',
	'LFWWH_DISP_TEMPLATE_POS_2'			=> 'Перед блоком "Дни рождения"',
	'LFWWH_DISP_TEMPLATE_POS_1'			=> 'Внизу',

	// config section 4
	'LFWWH_SECTION_OTHERS'				=> 'Другое',
	'LFWWH_API_MODE'					=> 'Режим API',
	'LFWWH_API_MODE_EXP'				=> 'Деактивирует отображение этого расширения и создаёт только переменные шаблона. Этот режим предназначен для форумов, где расширение "Кто был на конференции" уже представлено другими расширениями (такими как "Блок статистики").',
	'LFWWH_CLEAR_UP'					=> 'Автоматически очищать удалённых пользователей',
	'LFWWH_CLEAR_UP_EXP'				=> 'Если учётные записи пользователей удаляются, таблица и блок расширения также немедленно очищаются.',
	'LFWWH_DISP_TEMPLATE_POS_ALL'		=> 'Показывать все позиции шаблона одновременно',
	'LFWWH_DISP_TEMPLATE_POS_ALL_EXP'	=> 'Блок с расширением будет отображаться на всех позициях одновременно. Опция предназначена только для отладки и должна быть отключена во время нормальной работы.',
	'LFWWH_CREATE_HIDDEN_INFO'			=> 'Показывать кнопку "Скрытая информация"',
	'LFWWH_CREATE_HIDDEN_INFO_EXP'		=> 'Если для отображения времени посещения или IP-адреса установлено значение "При наведении", то эта информация не показывается рядом с именем пользователя. С помощью кнопки "Показать скрытую информацию" вы сможете отобразить эти данные.',

	// config section 5
	'LFWWH_SECTION_LOAD_SETTINGS'		=> 'Настройки нагрузки на сервер',
	'LFWWH_USE_CACHE'					=> 'Использовать кеш для таблицы посетителей',
	'LFWWH_USE_CACHE_EXP'				=> 'Если кеш включён, то во время загрузки главной страницы форума будет задействована кешированная таблица. В результате, новые посетители будут отображаться в списке с опредёленной задержкой. Если кеш отключен, то при загрузке страницы каждый раз будет выполняться новый MySQL запрос, что может привести к проблемам с производительностью на больших форумах.',
	'LFWWH_USE_ONLINE_TIME'				=> 'Обновлять, используя настройки временного диапазона онлайн-статистики',
	'LFWWH_USE_ONLINE_TIME_EXP'			=> 'Если включено, то для интервала обновления будет задействована следующая настройка: “Общие » Конфигурация сервера » Нагрузка на сервер » Общие настройки » Временной диапазон онлайн-статистики”. Это соответствует стандартному поведению данного расширения.',
	'LFWWH_CACHE_TIME'					=> 'Интервал обновления',
	'LFWWH_CACHE_TIME_EXP'				=> 'Интервал определяет, как часто обновлять отображение статистики и списка пользователей.',

	// config section 6
	'LFWWH_SECTION_RESET'				=> 'Сброс',
	'LFWWH_DEFAULTS'					=> 'Сбросить настройки',
	'LFWWH_DEFAULTS_EXP'				=> 'Сбрасывает все настройки этой страницы до исходных. (Рекорд посетителей не сбрасывается.)',
	'LFWWH_BUTTON_DEFAULTS'				=> 'По умолчанию',
	'LFWWH_RECORD_RESET'				=> 'Сбросить рекорд посетителей',
	'LFWWH_RECORD_RESET_EXP'			=> 'Сбрасывает время и счётчик рекорда посетителей.',
	'LFWWH_RECORD_RESET_TIME_HINT'		=> '(Сброс: %s)',

	// messages
	'LFWWH_MSG_SAVED_SETTINGS'			=> 'Кто был на конференции: Настройки успешно обновлены.',
	'LFWWH_MSG_CONFIRM_RECORD_RESET'	=> 'Кто был на конференции: Как только вы сохраните страницу с настройками, рекорд посетителей будет сброшен.',
	'LFWWH_MSG_LANGUAGEPACK_OUTDATED'	=> 'Примечание: Языковой пакет для этого расширения уже устарел.',
]);
